For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTUpload File
      • POSTCreate File Entry
      • GETFiles
      • GETFile
      • PUTUpdate File
      • DELDelete File
      • GETFile Download
      • GETFile Read Url
      • POSTFinalize Upload
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementFile

File Download

GET
/api/v1/group/:group_id/deal/:deal_id/file/:file_id/download
GET
/api/v1/group/:group_id/deal/:deal_id/file/:file_id/download
$curl https://app.termina.ai/api/v1/group/1/deal/1/file/1/download \
> -H "Authorization: Bearer <token>"
1{}
Download a file by its ID for a specific group and deal.
Was this page helpful?
Previous

File Read Url

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired
file_idintegerRequired

Response

Successful Response

Errors

422
Unprocessable Entity Error